/////////////////////////////////////////////////////////////////////////////
//
// Vertex shader for untextured primitives with per-vertex color.
//
/////////////////////////////////////////////////////////////////////////////

attribute vec4 position;
attribute vec4 vertexColor;

varying lowp vec4 colorVarying;

uniform mat4 modelViewProjectionMatrix;

void main()
{
    colorVarying = vertexColor;
    gl_Position = modelViewProjectionMatrix * position;
}
