////////////////////////////////////////////////////////////////////////////////
//
// Fragment shader for primitives textured with single-channel alpha textures.
//
////////////////////////////////////////////////////////////////////////////////

uniform sampler2D texture0;

varying lowp vec4 colorVarying;
varying mediump vec2 fragTexCoords;

void main()
{
	gl_FragColor = colorVarying * texture2D( texture0, fragTexCoords ).a;
}
