///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Fragment shader for primitives textured with full RGBA textures and modulated by vertex color.
//
///////////////////////////////////////////////////////////////////////////////////////////////////

uniform sampler2D texture0;

varying lowp vec4 colorVarying;
varying mediump vec2 fragTexCoords;

void main()
{
	gl_FragColor = texture2D( texture0, fragTexCoords ) * colorVarying;
}
